_grk_palette_data Struct Reference

Palette data. More...

`#include <grok.h>`

## Public Attributes

int32_t * | lut
uint16_t | num_entries
grk_component_mapping_comp * | component_mapping
uint8_t | num_channels
bool * | channel_sign
uint8_t * | channel_prec

## Detailed Description

Palette data.

## Member Data Documentation

## channel_prec

uint8_t* _grk_palette_data::channel_prec

Referenced by grk::GrkImage::apply_palette_clr(), and grk::GrkImageMeta::releaseColorPalatte().

## channel_sign

bool* _grk_palette_data::channel_sign

Referenced by grk::GrkImageMeta::releaseColorPalatte().

## component_mapping

grk_component_mapping_comp* _grk_palette_data::component_mapping

Referenced by grk::GrkImage::applyColour(), grk::FileFormatDecompress::read_component_mapping(), and grk::GrkImageMeta::releaseColorPalatte().

## lut

int32_t* _grk_palette_data::lut

Referenced by grk::GrkImageMeta::releaseColorPalatte().

## num_channels

uint8_t _grk_palette_data::num_channels

Referenced by grk::GrkImage::postReadHeader(), grk::FileFormatDecompress::read_component_mapping(), and grk::FileFormatCompress::write_component_mapping().

## num_entries

uint16_t _grk_palette_data::num_entries

The documentation for this struct was generated from the following file:

- grok.h